DELETE
/
institutions
/
oauth
/
{institutionId}
Delete OAuth Application
curl --request DELETE \
  --url https://sandbox-api.cardcore.cloud/institutions/oauth/{institutionId} \
  --header 'Authorization: Bearer <token>'
{
  "statusCode": 200,
  "message": "Oauth Application deleted",
  "data": {
    "_id": "6a143e0164e77fc7a0e2b5ea",
    "institution": "68da3e6080b90fbbb96716c9",
    "name": "Prince Muteh2",
    "description": "aearsoms",
    "redirectUri": [],
    "isVerified": true,
    "isOfficial": false,
    "institutionId": "53f1e54df75bbab63c5859d780498c1a",
    "subject": "[email protected], CN=PRINCE, OU=, O=PRINCE, L=PRINCE, ST=PRINCE, C=Ng",
    "scopes": [
      "*"
    ],
    "grantType": "client_credentials",
    "isDeleted": true,
    "createdBy": "68da3e6180b90fbbb96716cb",
    "createdAt": "2026-05-25T12:18:09.005Z",
    "updatedAt": "2026-05-25T12:22:17.498Z",
    "id": "6a143e0164e77fc7a0e2b5ea"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

institutionId
string
required

Path parameter: institutionId.

Response

200 - application/json

Delete OAuth Application completed successfully.

The response is of type object.